@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

:root {
  --red: hsl(0, 100%, 74%);
  --green: hsl(154, 59%, 51%);
  --blue: hsl(248, 32%, 49%);
  --darkBlue: hsl(249, 10%, 26%);
  --grayishBlue: hsl(246, 25%, 77%);
}

* {
  margin: 0;
  border: none;
  box-sizing: border-box;
  padding: 0;
}

body {
  background: url('media/bg-intro-mobile.png'), var(--red);
  color: white;
  font-family: 'Poppins', sans-serif;
  font-size: 16px;
  text-align: center;
}

main {
  padding: 91px 24px 0;
  display: grid;
  place-items: center;
  gap: 63px;
}

.h1 {
  font-size: 27.5px;
  line-height: 36px;
}

.desc {
  margin-top: 22px;
  line-height: 26px;
}

.main-right {
  width: fit-content;
  display: grid;
  gap: 24px;
}

.promotion,
#form {
  border-radius: 10px;
  box-shadow: 0 8px 0px hsl(249, 10%, 26%, .21);
}

.promotion {
  height: 88px;
  background: var(--blue);
  padding: 0 50px;
  display: grid;
  place-items: center;
}

.promotion p {
  margin-top: 1px;
  transform: scale(.95, 1);
  letter-spacing: .1px;
  line-height: 26px;
}

.promotion .big {
  font-size: 15px;
}

#form {
  background: white;
  padding: 7.33944954128%;
  padding-bottom: 7%;
  display: grid;
  justify-items: center;
  gap: 16px;
}

#form input {
  width: 100%;
  height: 56px;
  border-radius: 5px;
  font-family: 'Poppins', sans-serif;
  font-weight: 600;
}

#form .input {
  border: 1px solid #dedede;
  padding: 2px 18px 0;
  font-size: 14.4px;
}

#form .input:focus {
  outline: none;
  border: 1px solid black;
}

#form .input-error {
  border: 2px solid var(--red);
  background: url('media/icon-error.svg') no-repeat 94% center;
  color: var(--red);
}

#form .error-message {
  margin: -14px 0 0;
  width: 100%;
  display: none;
  color: var(--red);
  text-align: right;
  font-style: italic;
  font-weight: 500;
  font-size: 11px;
}

#form .display-block {
  display: block;
}

#form #submit {
  background: var(--green);
  color: white;
  padding-top: 7px;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: .4px;
  border-bottom: 4px solid #32b97f;

}

#form #submit:active {
  background: #77e2b4;
}

.terms {
  margin-top: -7px;
  padding: 0 20px;
  color: var(--grayishBlue);
  font-size: 11px;
  font-weight: 500;
  line-height: 21px;
}

.terms strong {
  color: var(--red);
}

.attribution {
  margin-top: 2px;
  padding: 10px;
  font-size: 15px;
  text-align: center;
}

.attribution a {
  color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 1158.24px) {
  body {
    background: url('media/bg-intro-desktop.png') 51% 0%, var(--red);
  }

  main {
    width: 100vw;
    height: 800px;
    padding: 0 11.45%;
    grid-template-columns: 45.7% auto;
  }

  .main-left,
  .main-right {
    align-content: center;
  }

  .main-left {
    margin-top: 7px;
    text-align: left;
  }

  .h1 {
    font-size: 49px;
    line-height: 55px;
  }

  .desc {
    margin-top: 28px;
  }

  .main-right {
    width: 100%;
  }

  .promotion {
    height: 60px;
  }

  #form {
    height: fit-content;
    gap: 20px;
    padding-bottom: 7.6%;
  }

  #form .input {
    padding: 2px 31px 0;
  }

  .terms {
    margin-top: -8px;
  }

  .attribution {
    margin-top: -43px;
  }
}